WML::STD::INFO(1)

NAME
wml::std::info - Page Information

SYNOPSIS
 #use wml::std::info

 <info style={comment,table,meta,oneline} domainname="..."
       copyright="..." created="..." keywords="..." description="...">

 <info:document-url [baseurlvar=VARNAME] [basedirvar=VARNAME]>

DESCRIPTION
This include file provides the "<info>" tag to insert page filename, author, copyright, generator (WML version) and modification time information in various formats and styles.

Additionally it defines a "<document-url>" tag which inserts the absolute URL of the generated page. This URL is constructed out of the URL base given in the variables named "BASE_URL" and "BASE_DIR" (or the specified one with attributes "baseurlvar" and "baseurldir"). Usually you define these in your .wmlrc file at the base directory of your WML page area:

  -D BASE_URL=http://www.mysite.dom/~myself
  -D BASE_DIR~.

AUTHOR
 Ralf S. Engelschall
 rse@engelschall.com
 www.engelschall.com

REQUIRES
 Internal: P1, P2
 External: --

SEEALSO
wml(1)